Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class IllegalVariantTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hpsf.HPSFException
                  org.apache.poi.hpsf.VariantTypeException
                      org.apache.poi.hpsf.IllegalVariantTypeException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalVariantTypeException

extends VariantTypeException

This exception is thrown if HPSF encounters a variant type that is illegal in the current context.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  Serialized Form

Constructor Summary
`IllegalVariantTypeException(long variantType, java.lang.Object value)` Constructor
`IllegalVariantTypeException(long variantType, java.lang.Object value, java.lang.String msg)` Constructor

Method Summary

Methods inherited from class org.apache.poi.hpsf.VariantTypeException
`getValue, getVariantType`

Methods inherited from class org.apache.poi.hpsf.HPSFException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalVariantTypeException

    public IllegalVariantTypeException(long variantType,
                                       java.lang.Object value,
                                       java.lang.String msg)

  Constructor

  Parameters:
    `variantType` - The unsupported variant type
    `value` - The value
    `msg` - A message string

### IllegalVariantTypeException

    public IllegalVariantTypeException(long variantType,
                                       java.lang.Object value)

  Constructor

  Parameters:
    `variantType` - The unsupported variant type
    `value` - The value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.